MIPI_DSI_DCS_WRITE(9)

NAME
mipi_dsi_dcs_write - send DCS write command

SYNOPSIS

ssize_t mipi_dsi_dcs_write(struct mipi_dsi_device * dsi, u8 cmd, const void * data, size_t len);

ARGUMENTS

dsi
    DSI peripheral device

cmd
    DCS command

data
    buffer containing the command payload

len
    command payload length

DESCRIPTION

This function will automatically choose the right data type depending on the command payload length.

RETURN

The number of bytes successfully transmitted or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT